"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
var BIN_DIRECTORY = path.join(__dirname, "./bin");
/**
 * Absolute path to the BC file of the safe runtime
 * @type {string}
 */
exports.SAFE_RUNTIME = path.join(BIN_DIRECTORY, "libspeedyjs-runtime.bc");
/**
 * Absolute path to the BC file of the unsafe runtime
 * @type {string}
 */
exports.UNSAFE_RUNTIME = path.join(BIN_DIRECTORY, "libspeedyjs-runtime-unsafe.bc");
/**
 * Path to the shared libraries (libc, malloc...)
 * @type {string}
 */
exports.SHARED_LIBRARIES_DIRECTORY = path.join(BIN_DIRECTORY, "shared");
/**
 * The path to the Compiler RT File
 * @type {string}
 */
exports.COMPILER_RT_FILE = path.join(exports.SHARED_LIBRARIES_DIRECTORY, "wasm_compiler_rt.a");
//# sourceMappingURL=index.js.map